module.exports = {
    plugins: [
        ["@babel/plugin-proposal-decorators", { "legacy": true }],
        ["@babel/plugin-proposal-export-namespace-from"],
        ["@babel/plugin-proposal-function-sent"],
        ["@babel/plugin-proposal-numeric-separator"],
        ["@babel/plugin-proposal-class-properties"],
        ["@babel/plugin-proposal-private-methods"]
    ],
    presets: [
        [
            "@babel/preset-env",
            {
                targets: {
                    browsers: [
                        "ie >= 9", "last 2 versions"
                    ]
                }
            }
        ],
        "@babel/preset-react"
    ],
    env: {
        production: {
            plugins: [
                [
                    'transform-react-remove-prop-types',
                    {
                        ignoreFilenames: ['react-ui'],
                        removeImport: true
                    }
                ]
            ]
        }
    }
};